Subject: [manet] Research in WSN

From: Praveen Choudary <[email-masked]>
Date: Mon, 27 Dec 2004 20:52:55 -0800 (PST)

Hi,
 I am doing research Independently. I have studied publications in routing aspects of wireless sensor networks (WSN). To the best of my knowledge I have developed an idea and I want to know the comments of researchers and scientists working in this area.
 
 There are many publications in QoS aspects of Mobile Ad-hoc Networks. These algorithms cannot be directly applied to WSN. There is a good scope for research in QoS aspects of WSN. My interest is in developing "Energy efficient QoS routing protocol for wireless sensor networks".  I am assuming there is a mix of both real time and non real time packets. I am not using location based routing protocol.
 
Let us get into the details of idea. The existing algorithms try to find out energy efficient QoS path for all the packets. I mean the routing path is same for both the real time and non real time packets. I want to try a different approach. The routing path should be different for real time packets and non real time packets. For non real time packets the routing path is calculated completely ignoring QoS criteria and for real time packets the routing path is calculated using both energy and QoS parameters. You may feel this approach may increase overhead. My algorithm uses the same mechanism for calculating both paths with out much overhead. Also my algorithm uses only local information and achieves global optimization. The algorithm is flexible and the routing paths are calculated dynamically. Initially the nodes will trade off energy for hard real time packets and later when the energy reserves falls below a certian level the nodes gradually decrease trading off energy fo!
 r Real
 time packets. 
 
I have a feeling that my approach is better than the existing techniques. I request the members in this group to give their comments and tell me if this can be explored futher. If possible suggest me some improvements. Let us get into the new year with some new ideas.
 
Waiting for your comments,
Praveen.

---------------------------------
Do you Yahoo!?
 Yahoo! Mail - Easier than ever with enhanced search. Learn more.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet